#!/bin/sh

#################################################################################
# ipod_imaging.sh
#
#
# Copyright (c) 2002 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
#
################################################################################

answer=`osascript -e 'tell application "iPod Cloner Tool"' -e 'activate' -e 'display dialog "Do you have your iPod docked?" buttons{"Cancel", "Yes"} default button "Yes"' -e 'end tell'`
if [ "$answer" = "button returned:Yes" ]; then
	asr restore --source  ~/Documents/iPod_Project/iPod_image.dmg    --target "/Volumes/Marriott Library iPod"   --erase -disableOwners --noprompt
else
	osascript -e 'tell application "iPod Cloner Tool"' -e 'activate' -e 'display dialog "Dock the iPod and try again."' -e 'end tell'
    exit 0
fi

answer=`osascript -e 'tell application "iPod Cloner Tool"' -e 'activate' -e 'display dialog "iPod Cloning Completed

Please eject the iPod from the cloning dock & place it in the corresponding charging dock below." buttons {"Cancel","Eject"} default button "Eject"' -e 'end tell'`

if [ "$answer" = "button retuned:Eject" ]; then
	diskutil eject "/Volumes/Marriott Library iPod"
fi
